{% extends 'base.html.twig' %}
{% block stylesheets %}

{% endblock %}
{% block javascripts %}
    <script language = "javascript" src = "https://code.jquery.com/jquery-2.2.4.min.js"></script>

<script language = "javascript">
    $(document).ready(function(){
        $("#hit").on('click', function (){
            $.ajax({
                url: "{{ path("app_hit") }}",
                type: 'POST',
                dataType: 'json'
            }).done(function(data){
                console.log(data);
            })
        });
    });

</script>
{% endblock %}
{% block body %}
    {% set arr = [5, 10, 15] %}
    {% if game is defined and game is not empty %}
        <div class="box box-primary">
            <div class="box-body">
                <table border="1">
                    {% for key, games in game %}
                        <tr>
                            <td style="width: 75px;">
                                <div class="card" style="width: 18rem; border: black"></div>
                                <div class="card-header">
                                    <h5 class="card-text">Label = {{ games.label }}- {{ key }}</h5>
                                </div>
                                <div class="card-body">
                                    <h5 class="card-text">HP = {{ games.hp }}</h5>
                                    <h5 class="card-text">Damages = {{ games.damages }}</h5>
                                </div>
                                <div class="card-footer">
                                    <h5 class="card-text">Status = {{ games.status }}</h5>
                                </div>
                            </td>
                            {% if key in [5, 10, 15] %}
                                </tr><tr>
                            {% endif %}
                    {% endfor %}
                </table>
            </div>
        </div>
        <button id="hit"  class="btn btn-primary">Hit!!</button>
    {% endif %}
{% endblock %}